require 'sketchup'
require 'extensions'
module DigitalDawn

  class << self
    attr_accessor :ex
  end

  unless file_loaded?(__FILE__)
    puts "[plugin_master]-register extension"

    PLUGIN_MASTER_ROOT = File.join(File.dirname(__FILE__), 'plugin_master')
    
    loadder = File.join(PLUGIN_MASTER_ROOT, 'loader')
    ex = SketchupExtension.new('插件大师', loadder)
    ex.creator = "数晓科技 DigitalDawn Inc."
    ex.copyright = "DigitalDawn R(2024)"
    ex.version = "1.02"
    ex.description = "数晓科技插件管理器"
    @ex = ex
    Sketchup.register_extension(ex, true)
  end
end

file_loaded(__FILE__)
